testing::internal::CartesianProductHolder6< Generator1, Generator2, Generator3, Generator4, Generator5, Generator6 > Class Template Reference

`#include <gtest.h>`

## Public Member Functions

| CartesianProductHolder6 (const Generator1 &g1, const Generator2 &g2, const Generator3 &g3, const Generator4 &g4, const Generator5 &g5, const Generator6 &g6)
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
| operator ParamGenerator< ::std::tuple< T1, T2, T3, T4, T5, T6 > > () const

## Detailed Description

### template<class Generator1, class Generator2, class Generator3, class Generator4, class Generator5, class Generator6>
class testing::internal::CartesianProductHolder6< Generator1, Generator2, Generator3, Generator4, Generator5, Generator6 >

Definition at line 13143 of file gtest.h.

## Constructor & Destructor Documentation

## CartesianProductHolder6()

template<class Generator1 , class Generator2 , class Generator3 , class Generator4 , class Generator5 , class Generator6 >

testing::internal::CartesianProductHolder6< Generator1, Generator2, Generator3, Generator4, Generator5, Generator6 >::CartesianProductHolder6 | ( | const Generator1 & | g1,
|  | const Generator2 & | g2,
|  | const Generator3 & | g3,
|  | const Generator4 & | g4,
|  | const Generator5 & | g5,
|  | const Generator6 & | g6
| ) |  |

inline

Definition at line 13145 of file gtest.h.

## Member Function Documentation

## operator ParamGenerator< ::std::tuple< T1, T2, T3, T4, T5, T6 > >()

template<class Generator1 , class Generator2 , class Generator3 , class Generator4 , class Generator5 , class Generator6 >
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >

testing::internal::CartesianProductHolder6< Generator1, Generator2, Generator3, Generator4, Generator5, Generator6 >::operator ParamGenerator< ::std::tuple< T1, T2, T3, T4, T5, T6 > > | ( |  | ) | const

inline

Definition at line 13151 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h